Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #253

Smart crossfade
February 11, 2013 15:23 - Rudolfs Caune

Status: Rejected Start date: February 11, 2013
Priority: Minor Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Affects version: 3.3.4

Description

Please add smart crossfade options for crossfade plugin. What i'm talking about is fade-in/fade-out start at certain level of loudness.
As example i can give you screenshot from Sqrsoft Advanced Crossfading plugin 62656924_707a524d4d.jpg

Time option is to set what percentage of fade-in/out buffer to actually fade in/out.

Level option is to set lowest fade in/out point.

Curve option is to set how fade in/out fades.

dB Level option is to set at what dB level to start fade out of current track and start next track.

Buffer lengths: max is maximum length of fade in/out buffer in ms; min is minimum length of fade in/out buffer in ms.

Another option to set min length of track (in seconds) that will be faded in/out. This is for short tracks that doesn't need to be faded
in/out.

Hope you understand what i'm saying.
Thanks.

History

#1 - March 11, 2013 09:19 - Artem S. Tashkinov
It's probably a dupe of bug 13.

#2 - April 11, 2013 03:26 - John Lindgren

- Status changed from New to Rejected

I'm happy to look at patches implementing these features. Closing until then.
